package com.rjconsultores.ventaboletos.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.rjconsultores.ventaboletos.dao.OrgaoEmpParamDAO;
import com.rjconsultores.ventaboletos.entidad.OrgaoEmpParam;
import com.rjconsultores.ventaboletos.service.OrgaoEmpParamService;

@Service("orgaoEmpParamService")
public class OrgaoEmpParamServiceImpl implements OrgaoEmpParamService {

	@Autowired
	private OrgaoEmpParamDAO dao;

	@Override
	public List<OrgaoEmpParam> obterPorOrgao(Integer orgaoConcedenteId) {
		return dao.obterPorOrgao(orgaoConcedenteId);
	}

	@Override
	public List<OrgaoEmpParam> obterPorEmpresa(Integer empresaId) {
		return dao.obterPorEmpresa(empresaId);
	}

	@Override
	public OrgaoEmpParam obterPorOrgaoEmpresa(Integer orgaoConcedenteId, Integer empresaId) {
		return dao.obterPorOrgaoEmpresa(orgaoConcedenteId, empresaId);
	}

}
